<template>
  <div class="container my-5">
    <h1 class="h2 mb-4">Personnal information</h1>
    <p>
      <strong class="text-primary">Customer ID</strong><br>
      <span class="text-muted">ABC-22021&{{ user.id }}</span>
    </p>
    <p>
      <strong class="text-primary">Name</strong><br>
      <span class="text-muted">{{ user.name.firstname }} {{ user.name.lastname }}</span>
    </p>
    <p>
      <strong class="text-primary">Phone number</strong><br>
      <span class="text-muted">{{ user.phone }}</span>
    </p>
    <p>
      <strong class="text-primary">Email</strong><br>
      <span class="text-muted">{{ user.email }}</span>
    </p>
    <p>
      <strong class="text-primary">Address</strong><br>
      <span class="text-muted">{{ user.address.number }} {{ user.address.street }}<br>
      {{ user.address.zipcode }} {{ user.address.city }}</span>
    </p>
  </div>
</template>

<script>
import { mapFields } from 'vuex-map-fields'

export default {
  computed: {
    ...mapFields([
      'user'
    ])
  }
}
</script>
